<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md) &gt; [weakenEffect](./bitburner.hackingformulas.weakeneffect.md)

## HackingFormulas.weakenEffect() method

Calculate the security decrease from a weaken operation. Unlike other hacking formulas, weaken effect depends only on thread count and core count, not on server or player properties. The core bonus formula is `1 + (cores - 1) / 16}`<!-- -->.

**Signature:**

```typescript
weakenEffect(threads: number, cores?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

threads


</td><td>

number


</td><td>

Number of threads running weaken.


</td></tr>
<tr><td>

cores


</td><td>

number


</td><td>

_(Optional)_ Number of cores on the host server. Default 1.


</td></tr>
</tbody></table>

**Returns:**

number

The security decrease amount.

